Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class ChannelMidiDataEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.MidiDataEvent
              org.linuxsampler.lscp.event.ChannelMidiDataEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ChannelMidiDataEvent

extends MidiDataEvent

A semantic event which indicates that MIDI data has arrived on a specific sampler channel.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.linuxsampler.lscp.event.MidiDataEvent
`MidiDataEvent.Type`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ChannelMidiDataEvent(java.lang.Object source, MidiDataEvent.Type type, int note, int velocity)` Creates a new instance of `ChannelMidiDataEvent`

Method Summary
`int` | `getChannelId()` Returns the ID of the sampler channel, to which MIDI data has arrived.
`void` | `setChannelId(int id)` Sets the ID of the sampler channel, to which MIDI data has arrived.

Methods inherited from class org.linuxsampler.lscp.event.MidiDataEvent
`getNote, getType, getVelocity`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChannelMidiDataEvent

    public ChannelMidiDataEvent(java.lang.Object source,
                                MidiDataEvent.Type type,
                                int note,
                                int velocity)

  Creates a new instance of `ChannelMidiDataEvent`

Method Detail

### getChannelId

    public int getChannelId()

  Returns the ID of the sampler channel, to which MIDI data has arrived.

### setChannelId

    public void setChannelId(int id)

  Sets the ID of the sampler channel, to which MIDI data has arrived.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.